Bug 721078 - Review Request: aeolus-conductor - A web UI for managing cloud instances.
Summary: Review Request: aeolus-conductor - A web UI for managing cloud instances.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ryan Rix
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-13 16:28 UTC by Mo Morsi
Modified: 2011-07-22 12:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-22 12:20:35 UTC
Type: ---
ry: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mo Morsi 2011-07-13 16:28:22 UTC
Spec: http://mo.morsi.org/files/aeolus/aeolus-conductor.spec
SRPM: http://mo.morsi.org/files/aeolus/aeolus-conductor-0.3.0-1.fc15.src.rpm

Description:
The Aeolus Conductor, a web UI for managing cloud instances.

Comment 1 Ryan Rix 2011-07-18 20:57:44 UTC
I'll take this one for review.

Comment 2 Ryan Rix 2011-07-18 22:08:53 UTC
[-] MUST: rpmlint must be run on every package
4 packages and 0 specfiles checked; 781 errors, 20 warnings.

I ... uhm ... please run rpmlint and take a look at that and see what you can fix. :)

[+] MUST: The package must be named according to the Package Naming 
         Guidelines
[+] MUST: The spec file name must match the base package %{name} [...]
[-] MUST: The package must meet the Packaging Guidelines
rpmlint would appear to say otherwise
 
[+] MUST: The package must be licensed with a Fedora approved license
         and meet the Licensing Guidelines
[+] MUST: The License field in the package spec file must match the 
    actual license
[+] MUST: If (and only if) the source package includes the text of the 
    license(s) in its own file, then that file, containing the text of 
    the license(s) for the package must be included in %doc
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[-] MUST: The sources used to build the package must match the upstream 
    source, as provided in the spec URL. Reviewers should use md5sum for 
    this task. If no upstream URL can be specified for this package, 
    please see the Source URL Guidelines for how to deal with this.
Please see the Source URL Guidelines for how to deal with this.

[+] MUST: The package MUST successfully compile and build into binary 
    rpms on at least one primary architecture
[0] MUST: If the package does not successfully compile, build or work on 
    an architecture, then those architectures should be listed in the 
    spec in ExcludeArch. Each architecture listed in ExcludeArch MUST 
    have a bug filed in bugzilla, describing the reason that the package 
    does not compile/build/work on that architecture. The bug number MUST 
    be placed in a comment, next to the corresponding ExcludeArch line
[+] MUST: All build dependencies must be listed in BuildRequires, except 
    for any that are listed in the exceptions section of the Packaging 
    Guidelines ; inclusion of those as BuildRequires is optional. Apply 
    common sense.
[+] MUST: The spec file MUST handle locales properly. This is done by 
    using the %find_lang macro. Using %{_datadir}/locale/* is strictly 
    forbidden
[0] MUST: Every binary RPM package (or subpackage) which stores shared 
    library files (not just symlinks) in any of the dynamic linker's 
    default paths, must call ldconfig in %post and %postun.
[0] MUST: If the package is designed to be relocatable, the packager must 
    state this fact in the request for review, along with the 
    rationalization for relocation of that specific package. Without 
    this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does 
    not create a directory that it uses, then it should require a package 
    which does create that directory.
[+] MUST: A package must not contain any duplicate files in the %files 
    listing.
[-] MUST: Permissions on files must be set properly. Executables should 
    be set with executable permissions, for example. Every %files section 
    must include a %defattr(...) line.
See rpmlint

[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[+] MUST: Large documentation files must go in a -doc subpackage. (The 
    definition of large is left up to the packager's best judgement, but 
    is not restricted to size. Large can refer to either size or 
    quantity).
[+] MUST: If a package includes something as %doc, it must not affect the 
    runtime of the application. To summarize: If it is in %doc, the 
    program must run properly if it is not present.
[+] MUST: Header files must be in a -devel package.
[0] MUST: Static libraries must be in a -static package.
[0] MUST: Packages containing pkgconfig(.pc) files must 'Requires: 
    pkgconfig' (for directory ownership and usability).
[0] MUST: If a package contains library files with a suffix (e.g. 
    libfoo.so.1.1), then library files that end in .so (without suffix) 
    must go in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the 
    base package using a fully versioned dependency: Requires: %{name} =
    %{version}-%{release}
[+] MUST: Packages must NOT contain any .la libtool archives, these must 
    be removed in the spec if they are built.
[0] MUST: Packages containing GUI applications must include a
    %{name}.desktop file, and that file must be properly installed with 
    desktop-file-install in the %install section. If you feel that your 
    packaged GUI application does not need a .desktop file, you must put 
    a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by 
    other packages. The rule of thumb here is that the first package to 
    be installed should own the files or directories that other packages 
    may rely upon. This means, for example, that no package in Fedora 
    should ever share ownership with any of the files or directories 
    owned by the filesystem or man package. If you feel that you have a 
    good reason to own a file or directory that another package owns, 
    then please present that at package review time.
[+] MUST: At the beginning of %install, each package MUST run rm -rf
    %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

Please take a look at these issues.

Comment 3 Chris Lalancette 2011-07-20 15:35:57 UTC
I've fixed most of the issues you've identified here.  I still have to figure out what to do about the Source URL; I'll post again once I have that licked.

Comment 4 Mo Morsi 2011-07-20 18:13:47 UTC
We can include instructions about Source0 detailing how to checkout and build the package via git. We're tagging 0.3.0 soon anyways, a tarball should be available then.

In any case I updated the package as well. Added instructions to build Source0. Ran the packages through rpmlint and fixed alot of the errors. I believe the rest can be ignored.

Updated SPEC: http://mo.morsi.org/files/aeolus/aeolus-conductor.spec 
Updated SRPM: http://mo.morsi.org/files/aeolus/aeolus-conductor-0.3.0-1.fc15.src.rpm

Comment 5 Mo Morsi 2011-07-21 20:56:04 UTC
Updated conductor Source0 instructions to pull from tagged release

Updated SPEC: http://mo.morsi.org/files/aeolus/aeolus-conductor.spec 
Updated SRPM:
http://mo.morsi.org/files/aeolus/aeolus-conductor-0.3.0-2.fc15.src.rpm

Comment 6 Ryan Rix 2011-07-21 23:00:05 UTC
Looks good, now. The errors left in rpmlint are required by the code and the source URL is fixed. 

APPROVED

Comment 7 Mo Morsi 2011-07-22 03:38:29 UTC
New Package SCM Request
=======================
Package Name: aeolus-conductor
Short Description: A web UI for managing cloud instances
Owners: mmorsi
Branches: 
InitialCC:

Comment 8 Gwyn Ciesla 2011-07-22 10:02:44 UTC
Git done (by process-git-requests).

Comment 9 Mo Morsi 2011-07-22 12:20:35 UTC
Pushed to rawhide and built. Closing this out


Note You need to log in before you can comment on or make changes to this bug.